Memcached::delete
Memcached::fetch
Memcached
PHP Manual

# Memcached::deleteByKey

(PECL memcached >= 0.1.0)

Memcached::deleteByKey — Delete an item from a specific server

### Opis

public bool Memcached::deleteByKey ( string `$server_key` , string `$key` [, int `$time` = 0 ] )

Memcached::deleteByKey() is functionally equivalent to Memcached::delete, except that the free-form `server_key` can be used to map the `key` to a specific server.

### Parametry

`server_key`

  Klucz identyfikujący serwer do przechowywania wartości.

`key`

  The key to be deleted.

`time`

  The amount of time the server will wait to delete the item.

### Zwracane wartości

Zwraca `TRUE` w przypadku powodzenia, `FALSE` w przypadku błędu. The Memcached::getResultCode will return `Memcached::RES_NOTFOUND` if the key does not exist.

### Zobacz też:

- Memcached::delete - Delete an item

Memcached::delete
Memcached::fetch
Memcached
PHP Manual